Altibase.jdbc.driver

## Class AltibaseStatement.ExecuteResultManager

- java.lang.Object
- - Altibase.jdbc.driver.AltibaseStatement.ExecuteResultManager

Enclosing class:
  AltibaseStatement

    protected class AltibaseStatement.ExecuteResultManager
    extends java.lang.Object

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `add(Altibase.jdbc.driver.ExecuteResult aResult)`
`protected void` `clear()`
`protected Altibase.jdbc.driver.ExecuteResult` `get(int aIdx)`
`protected Altibase.jdbc.driver.ExecuteResult` `getFirst()`
`java.util.Iterator` `iterator()`
`protected int` `size()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### get

    protected Altibase.jdbc.driver.ExecuteResult get(int aIdx)
                                              throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### clear

    protected void clear()
                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### add

    protected void add(Altibase.jdbc.driver.ExecuteResult aResult)

#### size

    protected int size()
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getFirst

    protected Altibase.jdbc.driver.ExecuteResult getFirst()
                                                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### iterator

    public java.util.Iterator iterator()
                                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`